cURL
curl --request GET \
--url https://api.ctrl-hub.com/v3/videos/{video_id}/poster.jpg \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/videos/{video_id}/poster.jpg"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/videos/{video_id}/poster.jpg', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Videos
Get a video poster
Proxies the video’s poster image (a still frame) as a binary JPEG, intended for use as the poster attribute of a <video> element. Returns 404 until a poster has been generated.
GET
/
v3
/
videos
/
{video_id}
/
poster.jpg
cURL
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Path Parameters
The unique identifier for the video.
Response
An actual image - either a thumbnail or the original, always in binary jpg format and delivered as a binary which can be used in views.
The response is of type file.
⌘I